Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710456 - app-misc/splitvt-1.6.6-r3 - ebuild uses colon (:) as a sed delimiter
Summary: app-misc/splitvt-1.6.6-r3 - ebuild uses colon (:) as a sed delimiter
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Shell Tools project
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: colon-in-CFLAGS
  Show dependency tree
 
Reported: 2020-02-22 03:47 UTC by Toralf Förster
Modified: 2022-11-22 07:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.63 KB, text/plain)
2020-02-22 03:47 UTC, Toralf Förster
Details
app-misc:splitvt-1.6.6-r3:20200222-033900.log (app-misc:splitvt-1.6.6-r3:20200222-033900.log,3.01 KB, text/plain)
2020-02-22 03:47 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,61.81 KB, text/plain)
2020-02-22 03:47 UTC, Toralf Förster
Details
environment (environment,77.01 KB, text/plain)
2020-02-22 03:47 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.00 KB, application/x-bzip)
2020-02-22 03:47 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,19.13 KB, application/x-bzip)
2020-02-22 03:47 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-22 03:47:31 UTC
Done. Type 'make' to build
sed: -e expression #1, char 66: unknown option to `s'
 * ERROR: app-misc/splitvt-1.6.6-r3::gentoo failed (configure phase):
 *   (no error message)
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-libressl-20200220-111615

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *


ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 22 Feb 2020 01:37:38 +0000

emerge -qpvO app-misc/splitvt
[ebuild  N    ] app-misc/splitvt-1.6.6-r3
Comment 1 Toralf Förster gentoo-dev 2020-02-22 03:47:35 UTC
Created attachment 615034 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-22 03:47:41 UTC
Created attachment 615036 [details]
app-misc:splitvt-1.6.6-r3:20200222-033900.log
Comment 3 Toralf Förster gentoo-dev 2020-02-22 03:47:45 UTC
Created attachment 615038 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-02-22 03:47:48 UTC
Created attachment 615040 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-02-22 03:47:53 UTC
Created attachment 615042 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-22 03:47:56 UTC
Created attachment 615044 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2022-11-22 07:05:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b821f8830d649f1f9fda4968551a676449d598e3

commit b821f8830d649f1f9fda4968551a676449d598e3
Author:     Pascal Jäger <pascal.jaeger@leimstift.de>
AuthorDate: 2022-11-02 14:30:31 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-11-22 06:57:39 +0000

    app-misc/splitvt: revbump, fix build with clang16, fix open bugs
    
    - Wrote a patch with modern C function definitions to make this work with clang16
    - sed in ebuild now uses | instead of : as delimiter
    - use ${ED} instead of ${D} now
    
    Closes: https://bugs.gentoo.org/871072
    Closes: https://bugs.gentoo.org/879639
    Closes: https://bugs.gentoo.org/710456
    Closes: https://bugs.gentoo.org/836040
    Signed-off-by: Pascal Jäger <pascal.jaeger@leimstift.de>
    Closes: https://github.com/gentoo/gentoo/pull/28105
    Signed-off-by: Sam James <sam@gentoo.org>

 app-misc/splitvt/Manifest                |  1 +
 app-misc/splitvt/splitvt-1.6.6_p7.ebuild | 57 ++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)